## ICalRecurrenceType ICalRecurrenceType |

## Functions

gint | i_cal_recurrence_type_rscale_is_supported ()
ICalArray * | i_cal_recurrence_type_rscale_supported_calendars ()
void | i_cal_recurrence_type_clear ()
ICalRecurrenceTypeWeekday | i_cal_recurrence_type_day_day_of_week ()
gint | i_cal_recurrence_type_day_position ()
gint | i_cal_recurrence_type_month_is_leap ()
gint | i_cal_recurrence_type_month_month ()
ICalRecurrenceType * | i_cal_recurrence_type_from_string ()
gchar * | i_cal_recurrence_type_as_string_r ()
ICalTimetype * | i_cal_recurrence_type_get_until ()
void | i_cal_recurrence_type_set_until ()
ICalRecurrenceTypeFrequency | i_cal_recurrence_type_get_freq ()
void | i_cal_recurrence_type_set_freq ()
gint | i_cal_recurrence_type_get_count ()
void | i_cal_recurrence_type_set_count ()
gshort | i_cal_recurrence_type_get_interval ()
void | i_cal_recurrence_type_set_interval ()
ICalRecurrenceTypeWeekday | i_cal_recurrence_type_get_week_start ()
void | i_cal_recurrence_type_set_week_start ()
GArray * | i_cal_recurrence_type_get_by_second ()
void | i_cal_recurrence_type_set_by_second ()
GArray * | i_cal_recurrence_type_get_by_minute ()
void | i_cal_recurrence_type_set_by_minute ()
GArray * | i_cal_recurrence_type_get_by_hour ()
void | i_cal_recurrence_type_set_by_hour ()
GArray * | i_cal_recurrence_type_get_by_day ()
void | i_cal_recurrence_type_set_by_day ()
GArray * | i_cal_recurrence_type_get_by_month_day ()
void | i_cal_recurrence_type_set_by_month_day ()
GArray * | i_cal_recurrence_type_get_by_year_day ()
void | i_cal_recurrence_type_set_by_year_day ()
GArray * | i_cal_recurrence_type_get_by_week_no ()
void | i_cal_recurrence_type_set_by_week_no ()
GArray * | i_cal_recurrence_type_get_by_month ()
void | i_cal_recurrence_type_set_by_month ()
GArray * | i_cal_recurrence_type_get_by_set_pos ()
void | i_cal_recurrence_type_set_by_set_pos ()

## Types and Values

#define | I_CAL_RECURRENCE_TYPE_TYPE
| ICalRecurrenceType
struct | ICalRecurrenceTypeClass
enum | ICalRecurrenceTypeFrequency
enum | ICalRecurrenceTypeWeekday
enum | ICalRecurrenceTypeSkip
enum | ICalRecurrenceTypeArrayMaxValues

## Description

## Functions

### i_cal_recurrence_type_rscale_is_supported ()

    gint
    i_cal_recurrence_type_rscale_is_supported
                                   (void);

Check whether rscale is supported.

#### Returns

Whether rscale is supported

Since: 2.0

### i_cal_recurrence_type_rscale_supported_calendars ()

    ICalArray *
    i_cal_recurrence_type_rscale_supported_calendars
                                   (void);

Get an array of calendars supporting rscale (currently always return NULL).

#### Returns

Array of calendars. Currently always NULL.

[transfer full]

Since: 2.0

### i_cal_recurrence_type_clear ()

    void
    i_cal_recurrence_type_clear (ICalRecurrenceType *r);

Reset an ICalRecurrenceType.

#### Parameters

r | The ICalRecurrenceType to be reset. |

Since: 1.0

### i_cal_recurrence_type_day_day_of_week ()

    ICalRecurrenceTypeWeekday
    i_cal_recurrence_type_day_day_of_week (gshort day);

Decode a day to a weekday in a week.

#### Parameters

day | The encoded day which represents the day of the week and Nth day of the week. |

#### Returns

The decoded weekday with Monday to be 1.

Since: 1.0

### i_cal_recurrence_type_day_position ()

    gint
    i_cal_recurrence_type_day_position (gshort day);

Decode a day to a position of the weekday.

#### Parameters

day | The encoded day which represents the day of the week and Nth day of the week. |

#### Returns

The decoded day of the week. 0 == any of day of week. 1 == first, 2 = second, -2 == second to last, etc

Since: 1.0

### i_cal_recurrence_type_month_is_leap ()

    gint
    i_cal_recurrence_type_month_is_leap (gshort month);

Decode a month and check whether it is a leap month.

#### Parameters

month | The month to be decoded. |

#### Returns

Whether this month is a leap month.

Since: 2.0

### i_cal_recurrence_type_month_month ()

    gint
    i_cal_recurrence_type_month_month (gshort month);

Decode a month and check whether it is NOT a leap month.

#### Parameters

month | The month to be decoded. |

#### Returns

Whether this month is NOT a leap month.

Since: 2.0

### i_cal_recurrence_type_from_string ()

    ICalRecurrenceType *
    i_cal_recurrence_type_from_string (const gchar *str);

Convert a string to a ICalRecurrenceType.

#### Parameters

str | The string representation of the ICalRecurrenceType |

#### Returns

The ICalRecurrenceType converted from `str` .

[transfer full]

Since: 1.0

### i_cal_recurrence_type_as_string_r ()

    gchar *
    i_cal_recurrence_type_as_string_r (ICalRecurrenceType *recur);

Convert a ICalRecurrenceType to a string.

#### Parameters

recur | The ICalRecurrenceType to be converted. |

#### Returns

The string representation of `recur` .

[transfer full]

Since: 1.0

### i_cal_recurrence_type_get_until ()

    ICalTimetype *
    i_cal_recurrence_type_get_until (ICalRecurrenceType *recur);

Get the until from ICalRecurrenceType.

#### Parameters

recur | The ICalRecurrenceType. |

#### Returns

The until of ICalRecurrenceType.

[transfer full]

Since: 1.0

### i_cal_recurrence_type_set_until ()

    void
    i_cal_recurrence_type_set_until (ICalRecurrenceType *recur,
                                     ICalTimetype *until);

Set the until from ICalRecurrenceType.

#### Parameters

recur | The ICalRecurrenceType. |
until | The until of ICalRecurrenceType. |

Since: 1.0

### i_cal_recurrence_type_get_freq ()

    ICalRecurrenceTypeFrequency
    i_cal_recurrence_type_get_freq (ICalRecurrenceType *recur);

Get the freq from ICalRecurrenceType.

#### Parameters

recur | The ICalRecurrenceType. |

#### Returns

The freq of ICalRecurrenceType.

Since: 1.0

### i_cal_recurrence_type_set_freq ()

    void
    i_cal_recurrence_type_set_freq (ICalRecurrenceType *recur,
                                    ICalRecurrenceTypeFrequency freq);

Set the freq from ICalRecurrenceType.

#### Parameters

recur | The ICalRecurrenceType. |
freq | The freq of ICalRecurrenceType. |

Since: 1.0

### i_cal_recurrence_type_get_count ()

    gint
    i_cal_recurrence_type_get_count (ICalRecurrenceType *recur);

Get the count from ICalRecurrenceType.

#### Parameters

recur | The ICalRecurrenceType. |

#### Returns

The count of ICalRecurrenceType.

Since: 1.0

### i_cal_recurrence_type_set_count ()

    void
    i_cal_recurrence_type_set_count (ICalRecurrenceType *recur,
                                     gint count);

Set the count from ICalRecurrenceType.

#### Parameters

recur | The ICalRecurrenceType. |
count | The count of ICalRecurrenceType. |

Since: 1.0

### i_cal_recurrence_type_get_interval ()

    gshort
    i_cal_recurrence_type_get_interval (ICalRecurrenceType *recur);

Get the interval from ICalRecurrenceType.

#### Parameters

recur | The ICalRecurrenceType. |

#### Returns

The interval of ICalRecurrenceType.

Since: 1.0

### i_cal_recurrence_type_set_interval ()

    void
    i_cal_recurrence_type_set_interval (ICalRecurrenceType *recur,
                                        gshort interval);

Set the interval from ICalRecurrenceType.

#### Parameters

recur | The ICalRecurrenceType. |
interval | The interval of ICalRecurrenceType. |

Since: 1.0

### i_cal_recurrence_type_get_week_start ()

    ICalRecurrenceTypeWeekday
    i_cal_recurrence_type_get_week_start (ICalRecurrenceType *recur);

Get the week_start from ICalRecurrenceType.

#### Parameters

recur | The ICalRecurrenceType. |

#### Returns

The week_start of ICalRecurrenceType.

Since: 1.0

### i_cal_recurrence_type_set_week_start ()

    void
    i_cal_recurrence_type_set_week_start (ICalRecurrenceType *recur,
                                          ICalRecurrenceTypeWeekday week_start);

Set the week_start from ICalRecurrenceType.

#### Parameters

recur | The ICalRecurrenceType. |
week_start | The week_start of ICalRecurrenceType. |

Since: 1.0

### i_cal_recurrence_type_get_by_second ()

    GArray *
    i_cal_recurrence_type_get_by_second (ICalRecurrenceType *recur);

Get the by_second array from ICalRecurrenceType. The array size if ICAL_BY_SECOND_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |

#### Returns

The by_second of ICalRecurrenceType.

[transfer full][element-type short]

Since: 1.0

### i_cal_recurrence_type_set_by_second ()

    void
    i_cal_recurrence_type_set_by_second (ICalRecurrenceType *recur,
                                         guint index,
                                         gshort value);

Set the by_second array from ICalRecurrenceType at the given index. The array size if ICAL_BY_SECOND_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |
index | The index in by_second of ICalRecurrenceType. |
value | The value to be set into by_second of ICalRecurrenceType. |

Since: 1.0

### i_cal_recurrence_type_get_by_minute ()

    GArray *
    i_cal_recurrence_type_get_by_minute (ICalRecurrenceType *recur);

Get the by_minute array from ICalRecurrenceType. The array size if ICAL_BY_MINUTE_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |

#### Returns

The by_minute of ICalRecurrenceType.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_type_set_by_minute ()

    void
    i_cal_recurrence_type_set_by_minute (ICalRecurrenceType *recur,
                                         guint index,
                                         gshort value);

Set the by_minute array from ICalRecurrenceType at the given index. The array size if ICAL_BY_MINUTE_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |
index | The index in by_minute of ICalRecurrenceType. |
value | The value to be set into by_minute of ICalRecurrenceType. |

Since: 1.0

### i_cal_recurrence_type_get_by_hour ()

    GArray *
    i_cal_recurrence_type_get_by_hour (ICalRecurrenceType *recur);

Get the by_hour array from ICalRecurrenceType. The array size if ICAL_BY_HOUR_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |

#### Returns

The by_hour of ICalRecurrenceType.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_type_set_by_hour ()

    void
    i_cal_recurrence_type_set_by_hour (ICalRecurrenceType *recur,
                                       guint index,
                                       gshort value);

Set the by_hour array from ICalRecurrenceType at the given index. The array size if ICAL_BY_HOUR_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |
index | The index in by_hour of ICalRecurrenceType. |
value | The value to be set into by_hour of ICalRecurrenceType. |

Since: 1.0

### i_cal_recurrence_type_get_by_day ()

    GArray *
    i_cal_recurrence_type_get_by_day (ICalRecurrenceType *recur);

Get the by_day array from ICalRecurrenceType. The array size if ICAL_BY_DAY_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |

#### Returns

The by_day of ICalRecurrenceType.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_type_set_by_day ()

    void
    i_cal_recurrence_type_set_by_day (ICalRecurrenceType *recur,
                                      guint index,
                                      gshort value);

Set the by_day array from ICalRecurrenceType at the given index. The array size if ICAL_BY_DAY_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |
index | The index in by_day of ICalRecurrenceType. |
value | The value to be set into by_day of ICalRecurrenceType. |

Since: 1.0

### i_cal_recurrence_type_get_by_month_day ()

    GArray *
    i_cal_recurrence_type_get_by_month_day
                                   (ICalRecurrenceType *recur);

Get the by_month_day array from ICalRecurrenceType. The array size if ICAL_BY_MONTHDAY_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |

#### Returns

The by_month_day of ICalRecurrenceType.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_type_set_by_month_day ()

    void
    i_cal_recurrence_type_set_by_month_day
                                   (ICalRecurrenceType *recur,
                                    guint index,
                                    gshort value);

Set the by_month_day array from ICalRecurrenceType at the given index. The array size if ICAL_BY_MONTHDAY_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |
index | The index in by_month_day of ICalRecurrenceType. |
value | The value to be set into by_month_day of ICalRecurrenceType. |

Since: 1.0

### i_cal_recurrence_type_get_by_year_day ()

    GArray *
    i_cal_recurrence_type_get_by_year_day (ICalRecurrenceType *recur);

Get the by_year_day array from ICalRecurrenceType. The array size if ICAL_BY_YEARDAY_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |

#### Returns

The by_year_day of ICalRecurrenceType.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_type_set_by_year_day ()

    void
    i_cal_recurrence_type_set_by_year_day (ICalRecurrenceType *recur,
                                           guint index,
                                           gshort value);

Set the by_year_day array from ICalRecurrenceType at the given index. The array size if ICAL_BY_YEARDAY_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |
index | The index in by_year_day of ICalRecurrenceType. |
value | The value to be set into by_year_day of ICalRecurrenceType. |

Since: 1.0

### i_cal_recurrence_type_get_by_week_no ()

    GArray *
    i_cal_recurrence_type_get_by_week_no (ICalRecurrenceType *recur);

Get the by_week_no array from ICalRecurrenceType. The array size if ICAL_BY_WEEKNO_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |

#### Returns

The by_week_no of ICalRecurrenceType.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_type_set_by_week_no ()

    void
    i_cal_recurrence_type_set_by_week_no (ICalRecurrenceType *recur,
                                          guint index,
                                          gshort value);

Set the by_week_no array from ICalRecurrenceType at the given index. The array size if ICAL_BY_WEEKNO_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |
index | The index in by_week_no of ICalRecurrenceType. |
value | The value to be set into by_week_no of ICalRecurrenceType. |

Since: 1.0

### i_cal_recurrence_type_get_by_month ()

    GArray *
    i_cal_recurrence_type_get_by_month (ICalRecurrenceType *recur);

Get the by_month array from ICalRecurrenceType. The array size if ICAL_BY_MONTH_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |

#### Returns

The by_month of ICalRecurrenceType.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_type_set_by_month ()

    void
    i_cal_recurrence_type_set_by_month (ICalRecurrenceType *recur,
                                        guint index,
                                        gshort value);

Set the by_month array from ICalRecurrenceType at the given index. The array size if ICAL_BY_MONTH_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |
index | The index in by_month of ICalRecurrenceType. |
value | The value to be set into by_month of ICalRecurrenceType. |

Since: 1.0

### i_cal_recurrence_type_get_by_set_pos ()

    GArray *
    i_cal_recurrence_type_get_by_set_pos (ICalRecurrenceType *recur);

Get the by_set_pos array from ICalRecurrenceType. The array size if ICAL_BY_SETPOS_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |

#### Returns

The by_set_pos of ICalRecurrenceType.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_type_set_by_set_pos ()

    void
    i_cal_recurrence_type_set_by_set_pos (ICalRecurrenceType *recur,
                                          guint index,
                                          gshort value);

Set the by_set_pos array from ICalRecurrenceType at the given index. The array size if ICAL_BY_SETPOS_SIZE.

#### Parameters

recur | The ICalRecurrenceType. |
index | The index in by_set_pos of ICalRecurrenceType. |
value | The value to be set into by_set_pos of ICalRecurrenceType. |

Since: 1.0

## Types and Values

### I_CAL_RECURRENCE_TYPE_TYPE

    #define             I_CAL_RECURRENCE_TYPE_TYPE

### ICalRecurrenceType

    typedef struct {
    } ICalRecurrenceType;

This is the ICalRecurrenceType instance.

### struct ICalRecurrenceTypeClass

    struct ICalRecurrenceTypeClass {
    };

This is the ICalRecurrenceType class.

### enum ICalRecurrenceTypeFrequency

#### Members

I_CAL_SECONDLY_RECURRENCE |  |
I_CAL_MINUTELY_RECURRENCE |  |
I_CAL_HOURLY_RECURRENCE |  |
I_CAL_DAILY_RECURRENCE |  |
I_CAL_WEEKLY_RECURRENCE |  |
I_CAL_MONTHLY_RECURRENCE |  |
I_CAL_YEARLY_RECURRENCE |  |
I_CAL_NO_RECURRENCE |  |

### enum ICalRecurrenceTypeWeekday

#### Members

I_CAL_NO_WEEKDAY |  |
I_CAL_SUNDAY_WEEKDAY |  |
I_CAL_MONDAY_WEEKDAY |  |
I_CAL_TUESDAY_WEEKDAY |  |
I_CAL_WEDNESDAY_WEEKDAY |  |
I_CAL_THURSDAY_WEEKDAY |  |
I_CAL_FRIDAY_WEEKDAY |  |
I_CAL_SATURDAY_WEEKDAY |  |

### enum ICalRecurrenceTypeSkip

#### Members

I_CAL_SKIP_BACKWARD |  |
I_CAL_SKIP_FORWARD |  |
I_CAL_SKIP_OMIT |  |
I_CAL_SKIP_UNDEFINED |  |

### enum ICalRecurrenceTypeArrayMaxValues

#### Members

I_CAL_RECURRENCE_ARRAY_MAX |  |
I_CAL_RECURRENCE_ARRAY_MAX_BYTE |  |